aim4.config

## Class SimConfig

- java.lang.Object
- - aim4.config.SimConfig

-     public class SimConfig
      extends Object

  The configuration of a simulation.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static double` | `ADDITIONAL_STOP_DIST_BEFORE_INTERSECTION` The distance before the stopping distance before an intersection such that a vehicle can consider moving again when MUST_STOP_BEFORE_INTERSECTION is true.
    `static double` | `CYCLES_PER_SECOND` The number of cycles per second (50.0) at which the simulator runs.
    `static double` | `GRID_TIME_STEP` The length of a time step (simulation time) in the reservation grid (0.02 seconds).
    `static boolean` | `MUST_STOP_BEFORE_INTERSECTION` Whether or not the vehicle must stop before an intersection
    `static double` | `SPAWN_TIME_STEP` How often the simulator should consider spawning vehicles.
    `static double` | `TIME_STEP` The length of a time step (simulation time) in the simulator (0.02 seconds).
    `static double` | `TOTAL_SIMULATION_TIME` The time the simulation should run.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimConfig()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TOTAL_SIMULATION_TIME

          public static double TOTAL_SIMULATION_TIME

      The time the simulation should run. If it is less than or equal to zero, the simulation will run forever.

    - #### CYCLES_PER_SECOND

          public static final double CYCLES_PER_SECOND

      The number of cycles per second (50.0) at which the simulator runs.
      See Also:
        Constant Field Values

    - #### TIME_STEP

          public static final double TIME_STEP

      The length of a time step (simulation time) in the simulator (0.02 seconds).
      See Also:
        Constant Field Values

    - #### GRID_TIME_STEP

          public static final double GRID_TIME_STEP

      The length of a time step (simulation time) in the reservation grid (0.02 seconds).
      See Also:
        Constant Field Values

    - #### SPAWN_TIME_STEP

          public static final double SPAWN_TIME_STEP

      How often the simulator should consider spawning vehicles.
      See Also:
        Constant Field Values

    - #### MUST_STOP_BEFORE_INTERSECTION

          public static boolean MUST_STOP_BEFORE_INTERSECTION

      Whether or not the vehicle must stop before an intersection

    - #### ADDITIONAL_STOP_DIST_BEFORE_INTERSECTION

          public static final double ADDITIONAL_STOP_DIST_BEFORE_INTERSECTION

      The distance before the stopping distance before an intersection such that a vehicle can consider moving again when MUST_STOP_BEFORE_INTERSECTION is true.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SimConfig

          public SimConfig()

Copyright © 2013. All rights reserved.